%global enable_tests 0
%global prerelease alpha
%global barename flot

Name:               nodejs-flot
Version:            0.8.0
Release:            0.1.%{prerelease}%{?dist}
Summary:            Javascript plotting library for jQuery

License:            MIT
URL:                http://www.flotcharts.org/
Source0:            http://registry.npmjs.org/flot/-/flot-0.8.0-%{prerelease}.tgz
BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch

BuildRequires:      nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:      npm(jshint)
%endif


%description
Flot is a Javascript plotting library for jQuery.  
Read more at the website: <http://www.flotcharts.org/>

%prep
%setup -q -n package
rm -rf node_modules/

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/flot
cp -pr package.json jquery.flot.crosshair.js jquery.flot.errorbars.js jquery.flot.selection.js jquery.flot.symbol.js jquery.colorhelpers.js excanvas.min.js jquery.js jquery.flot.resize.js jquery.flot.stack.js jquery.flot.pie.js jquery.flot.fillbetween.js jquery.flot.navigate.js jquery.flot.threshold.js jquery.flot.time.js excanvas.js jquery.flot.js jquery.flot.image.js jquery.flot.categories.js \
    %{buildroot}%{nodejs_sitelib}/flot

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
make test
%endif


%files
%license LICENSE.txt
%doc NEWS.md README.md
%{nodejs_sitelib}/flot

%changelog
* Fri Jul 24 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.8.0-0.1.alpha
- Initial packaging
